Create Account

Use the /account/create endpoint to create an account for a user.


šŸ“˜ Note: Please note that a user record is required before you can create an account, see here. The user should pass all onboarding checks enforced by your program before an account is created.


  • An account establishes a relationship with the underlying processor and a financial product in your system.
  • The first account created for a user is treated as their primary account.
  • A user can have one or more accounts. Each account is tied to a single product.
  • Account balances can be shared between accounts.

Special Note for Digital-First products:

  • If you create an account with a Digital-First product, physical transactions will be blocked by default to protect the card in transit. The digital version of the card is usable immediately (either online or via mobile wallet) upon account creation.
  • Once the account owner verifies ownership of the card, you can call the Edit Account Features endpoint to lift this block. For more information please see Card Types. For guidance on card blocks, please see Account and Card Features.
Body Params

POST /v1/account/create Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
required

The user's unique ID within Spidr

string
required

The ID of the product you would like the account to be associated with

boolean
Defaults to false
string | null

Id for specific embosser configuration. Allows the embosser to print customized collateral per account.

string | null

Pass in the Spidr account ID

double
-3.402823669209385e+38 to 3.402823669209385e+38

This determines the total allowed credit limit on the account.

double
-3.402823669209385e+38 to 3.402823669209385e+38

The interest rate for the account.

string

The date the account was opened.

string

This determines the date of the first statement.

string

This determines the date the first payment comes due.

boolean
Defaults to false

For products with a physical card. Cards will be automatically embossed as part of account creation unless otherwise restricted by your product settings. This parameter allows you to pause the emboss process indefinitely for the given account. Emboss can later be un-paused for the account via the Edit Account Features endpoint.

string
length between 1 and 28

Second line to emboss on the card.

string
length between 1 and 150

Custom data to emboss on the card. You will need to work with Spidr to configure this.

string
enum
Defaults to 1

The shipping option associated with the embossed card. Shipping option can be updated via Edit Account Features.

string
length between 1 and 50

Account number for BYOP products only

string

The group's unique ID within Spidr. The account is assigned to this hierarchical group.

customFields
object

Vendor custom field values keyed by product customFieldMappings.inputField

shippingAddress
object
required

Address to which the card will be shipped. This address can be different from the physical address tied to the user.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json